Create company
curl --request POST \
--url https://api.hyperline.co/v1/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
}
'import requests
url = "https://api.hyperline.co/v1/companies"
payload = {
"name": "Acme",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": None,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Acme',
address: {
name: 'Acme',
line1: '5 rue de Paradis',
line2: null,
city: 'Paris',
zip: '75010',
state: 'CA',
country: 'FR'
}
})
};
fetch('https://api.hyperline.co/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cli_DKL4Xcb5VSa8CQ",
"name": "Acme",
"logo_url": "<string>",
"favicon_url": "<string>",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
}Companies
Create company
Create a new company to which the authentication token will have access to.
POST
/
v1
/
companies
Create company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Company ID.
Example:
"cli_DKL4Xcb5VSa8CQ"
Company name.
Example:
"Acme"
Logo URL of the default invoicing entity.
Favicon URL of the default invoicing entity.
Address of the default invoicing entity
Show child attributes
Show child attributes
Was this page helpful?
⌘I

